Package twisted :: Package application :: Module service :: Class MultiService

[frames | no frames]

## Class MultiService

    Service --+
              |
             MultiService

Known Subclasses:
  `MailService`, `ServiceManager`

Straightforward Service Container

Hold a collection of services, and manage them in a simplistic way. No service will wait for another, but this object itself will not finish shutting down until all of its child services will finish.

Method Summary
| `__init__(self)`
| `__iter__(self)`
| `addService(self, service)`
| `getServiceNamed(self, name)`
| `privilegedStartService(self)`
| `removeService(self, service)`
| `startService(self)`
| `stopService(self)`
Inherited from Service
| ``__getstate__`(self)`
| ``disownServiceParent`(self)`
| ``setName`(self, name)`
| ``setServiceParent`(self, parent)`

Class Variable Summary
`tuple` | `__implements__` = `((<class twisted.application.service.IS...`
Inherited from Service
`NoneType` | `name` = None
`NoneType` | `parent` = None
`int` | `running` = 0

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        ((<class twisted.application.service.IService at 0x866562c>,),
         <class twisted.application.service.IServiceCollection at 0x872729c>)

Generated by Epydoc 2.0 on Sat May 15 20:08:24 2004 | http://epydoc.sf.net